=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

prefix=/opt/rtems-4.11
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
datarootdir=$(prefix)/share
datadir=$(datarootdir)
mandir=$(datarootdir)/man
infodir=$(datarootdir)/info
localedir=$(datarootdir)/locale
libexecdir=$(exec_prefix)/libexec
libdir=$(exec_prefix)/lib

export PATH:=$(bindir):$(PATH)

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_auto_test:

override_dh_auto_configure:
	rm readline/configure
	CFLAGS="$(CFLAGS)" INSTALL="install -p" dh_auto_configure -Bbuild -- --prefix=$(prefix) --datadir=$(datadir) --libexecdir=$(libexecdir) --mandir=$(mandir) --infodir=$(infodir) \
	 --with-gdb-datadir=$(datadir)/m68k-rtems4.11-gdb-7.5.1 \
	 --target=m68k-rtems4.11 \
	 --disable-nls --disable-werror --without-included-gettext --disable-win32-registry \
	 --enable-sim \
	 --with-system-readline \
	 --with-expat \
	 --with-python


override_dh_auto_build:
	dh_auto_build -Bbuild

override_dh_auto_install:
	dh_auto_install -Bbuild
	rm debian/tmp$(libdir)/libiberty*
	rm debian/tmp$(infodir)/configure*
	rm debian/tmp$(infodir)/standards*
	rm debian/tmp$(infodir)/bfd*
	rm -f debian/tmp$(infodir)/dir
	gzip -9nf debian/tmp$(infodir)/*.info*
	gzip -9nf debian/tmp$(mandir)/man*/*

%:
	dh $@
